### 下面列出所有问题, 每个问题需要标注问题解决人, 问题类型

## 模型web服务历史和现存问题
### 已解决
#### 一般问题
    1. 回退模型版本时出现异常Bug(邢景灏)
    2. 连接件的关系不能支持1对多(邢景灏)
    3. 模型文件上传不显示正在上传楼层的进度(邢景灏, 张宇)
        解决: 由传统上传方式改为分片上传文件
    4. 轴网检查, 标高检查结果异常(邢景灏)
    5. 模型删除的通知缺失(邢景灏)
    6. 模型导出之后没有元空间数据(李浩然)
    7. 模型上传一半失败的情况下不能替换模型(邢景灏, 张宇)
    8. 模型版本在2以后不再增长问题(邢景灏)
        
#### 性能问题
    1. 通过接口同步数据到数据中心在数据量较大时容易失败(邢景灏)
        解决: 改为多次小批量同步数据
    2. 模型导出的json接口, 功能聚合度过高, 处理时间过长, 容易引发接口请求超时的问题(邢景灏)
        解决: 接口功能拆分, 遵守接口的单一职责原则
    
## 数据中心计算历史和现存问题
### 已解决
    1. 模型对象外轮廓信息不标准导致受影响的业务空间计算异常(邢景灏)
    2. 由关系表迁移和楼层ModelId引起的多个算法计算失败(邢景灏)
### <font color=red>未解决</font>
    1. 管网计算分块逻辑有问题 (邢景灏)
        暂未详细查找原因
    2. 因为暂时未找到虚拟墙的合适使用方式, 在计算业务空间之间的关系(部分)时, 只要使用到了虚拟墙, 目前忽略.(邢景灏)
         
        
## 调度器历史和现存问题
### 已解决
#### 性能问题
    1. 派发任务效率较低 (邢景灏)
    2. 任务返回结果数据量过大, 导致全局数据操作变慢(邢景灏)

#### 架构问题
    1. 在tcp连接时, 线上环境偶尔出现假死状态, 客户端和服务器不能正常通信(邢景灏)
    2. 在tcp长连接断网时需要添加自动重连机制, 否则需要人工介入重启服务(邢景灏)
    3. 由基于tcp/ip的CS架构切换为http接口调用方式, 服务器端的接口和结构调整(邢景灏)
    4. 客户端在切换处理对象(服务器端)时, 因为id格式和后台限制原因不能正常工作(邢景灏)

### <font color=red>未解决</font>
#### 架构问题
    1. 由基于tcp/ip的CS架构切换为http接口调用方式, 客户端的调整(庞利祥)
    2. 服务器端未与新客户端完成对接 (庞利祥, 邢景灏)
    


## 模型检查和导出客户端问题

### 已解决
    1. 缺少软管, 软水管数据, 导致管网计算不能正常计算 (孟向歌)
    2. 模型的导出数据有残缺, 出现过多个不同的bug(孟向歌)
    3. 模型检查结果异常, 出现过多个不同的bug(孟向歌)
    4. 因为网络不稳定导致下载模型文件失败, 用户经常需要重新上传模型(邢景灏)
### <font color=red>未解决</font>
    1. 模型检查报告异常, 有错误没检查出来 (孟向歌)
    2. 模型检查进程不能正常结束 (孟向歌)
        已有解决方案